Run from /asset-updater/src/main/resources/cleanup-scripts/
1. chmod 755 build-org-keys.sh
2. gimme-aws-creds [ Login to particular environment to get AWS credentials for getting access to S3 bucket]
3. export ENV=dev01 [ Change ENV ]
4. ./build-org-keys.sh

    build-org-keys.sh functionality => 
        1. Downloads org_ids csv files from S3 bucket {ENV}-data-retention and saves into local /tmp/cleanup-{ENV} folder, 
        2. Prepares a single file of org_keys, extracting from all CSVs in S3 bucket


Note: File locations are different
- /tmp/cleanup-dev01/dev01-deregistered-orgs-YYYYMMDD.csv
- /tmp/dev01-deregistered-org-keys

Copy the org_keys file & cleanup-functions.sh from local /tmp folder to es-debug pods' /tmp folder
1. kubectl -n cb-kcdev01-apps cp /tmp/dev01-deregistered-org-keys asset-updater-infra-es-debug-5c97d88484-f9jx2:/tmp/
2. kubectl -n cb-kcdev01-apps cp cleanup-functions.sh asset-updater-infra-es-debug-5c97d88484-nmsd7:/tmp/


kubectl exec into es-debug pod and run following commands =>
1. export ENV=dev01
2. export ES_INDEX=a_asset [To delete from main index]
3. source cleanup-functions.sh
4. update_devicestats_counts [ Hits Opensearch _count API for each entry in the org-keys file, and prepares a filtered file with org_key having greater than 0 devices ]
5. cleanup_by_query
6. export ES_INDEX=a_deleted_assets [To delete from deleted index]
7. source cleanup-functions.sh
8. update_devicestats_counts [ Hits Opensearch _count API for each entry in the org-keys file, and prepares a filtered file with org_key having greater than 0 devices ]
9. cleanup_by_query